package de.doggoat.growableRebalance;

import de.doggoat.growableRebalance.listeners.BlockGrowEventListener;
import de.doggoat.growableRebalance.listeners.BlockSpreadEventListener;
import de.doggoat.growableRebalance.listeners.GrowthEventListener;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

public final class GrowableRebalance extends JavaPlugin {

    @Override
    public void onEnable() {
        // Plugin startup logic
        PluginManager pluginManager = getServer().getPluginManager();
        pluginManager.registerEvents(new GrowthEventListener(this), this);
        pluginManager.registerEvents(new BlockGrowEventListener(this), this);
        pluginManager.registerEvents(new BlockSpreadEventListener(this), this);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        getServer().getPluginManager().disablePlugin(this);
    }
}
